Bug 187181 - smartd-conf.py does not support sata
smartd-conf.py does not support sata
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-28 19:27 EST by John Newbigin
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2006:0387
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 02:37:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Newbigin 2006-03-28 19:27:55 EST
Description of problem:
The config file created by /usr/sbin/smartd-conf.py is pata only.

Version-Release number of selected component (if applicable):
2.4-13.1.80


How reproducible:
Every time

Steps to Reproduce:
1. Install on a machine with SATA
2.
3.
  
Also, smartctl outputs:
SATA disks accessed via libata are not currently supported by
smartmontools. When libata is given an ATA pass-thru ioctl() then an
additional '-d libata' device type will be added to smartmontools.

But the command should be '-d ata'

Even better though would be auto-detect.
Comment 1 Tomas Mraz 2006-09-20 02:37:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0387.html


Note You need to log in before you can comment on or make changes to this bug.